Page MenuHomePhabricator

RelatedSites: Code stewardship review
Closed, ResolvedPublic

Description

Entry in Developers/Maintainers with:

On paper, the Readers Web team maintain the extension. In practice, Legoktm, MaxSem, and Jdlrobson. There are no maintainers in training.

Number, severity, and age of known and confirmed security issues

0, AFAICT.

Was it a cause of production outages or incidents? List them.

It's not clear, but there may have been a production outage when DMOZ support was disabled (https://gerrit.wikimedia.org/r/#/q/If1df8ac607186eaca0d63399fe933e5306e8f1e4) in March 2017.

Does it have sufficient hardware resources for now and the near future (to take into account expected usage growth)?

Yes.

Is it a frequent cause of monitoring alerts that need action, and are they addressed timely and appropriately?

No.

When it was first deployed to Wikimedia production

Circa October 2012.

Usage statistics based on audience(s) served

RelatedSites is currently configured to search for interwiki links with the following prefixes: 'commons', 'dmoz', 'citizendium', and 'wikipedia'.

There are approximately 24000 mainspace pages on Wikivoyage that contain at least one link with one of those prefixes:: https://en.wikivoyage.org/w/index.php?search=insource%3A%2F%5C%5B%5C%5B%28commons%7Cdmoz%7Ccitizendium%7Cwikipedia%29%2Fi&title=Special:Search&profile=default&fulltext=1

Deployed to all wikis hosted by WMF but only enabled on Wikivoyage. It's deployed to one other wiki (standalone) according to WikiApiary.

Changes committed in last 1, 3, 6, and 12 months
Number of developers who committed code in the last 1, 3, 6, and 12 months

The following excludes i18n/CI updates.

1 month:

N/A

3 months:

Umherirrender: rERSI92907c4429c1: Improve some parameter docs

6 months:

12 months:

MaxSem: rERSI1b8efbd8723d: DMOZ is closing today, don't display links to it
MaxSem: rERSI2134e21b4b62: Unbreak after my If1df8ac607186eaca0d63399fe933e5306e8f1e4

Reliance on outdated platforms (e.g. operating systems)

None.

Number and age of open patches

None.

Number and age of open bugs

2

Number of known dependencies?

None.

Is there a replacement/alternative for the feature? Is there a plan for a replacement?

The "Other projects sidebar" beta feature could easily replace the RelatedSites extension (see T2708: Interproject links and T103102: [Story] Take in other projects sidebar out of beta features).

Relatedly, there's a task around de-deploying the RelatedSites extension, which appears to have stalled after some work, including tracking on-wiki discussions about de-deploying the extension: T128326: Undeploy the RelatedSites extension (used on Wikivoyage).

Event Timeline

phuedx created this task.Jan 18 2018, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2018, 12:08 PM
phuedx updated the task description. (Show Details)Jan 18 2018, 1:28 PM
phuedx updated the task description. (Show Details)Jan 18 2018, 1:32 PM
phuedx updated the task description. (Show Details)
phuedx updated the task description. (Show Details)Jan 18 2018, 2:19 PM
phuedx updated the task description. (Show Details)Jan 18 2018, 2:33 PM
phuedx updated the task description. (Show Details)Jan 18 2018, 2:36 PM
phuedx updated the task description. (Show Details)Jan 18 2018, 5:37 PM
greg triaged this task as Normal priority.Jan 18 2018, 7:09 PM

I don't get it. Now that DMOZ is dead, this extension provides no functionality whatsoever that isn't already covered by Wikidata's other project links. (Yes, you could theoretically link to Citizendium, but no one has.) Why does this require a code stewardship review? Can't we just de-deploy it?

Oh, I see, it'll create a bunch of red-links if we de-deploy without cleaning up the old uses. Nevermind :)

^ I guess I should include a problem statement and a recommended course of action as well as the rubric.

greg added a subscriber: greg.Jan 19 2018, 7:52 PM

^ I guess I should include a problem statement and a recommended course of action as well as the rubric.

Good idea: https://www.mediawiki.org/w/index.php?title=Code_stewardship_reviews&type=revision&diff=2696378&oldid=2696376

greg updated the task description. (Show Details)Jan 19 2018, 8:05 PM
Carlb added a subscriber: Carlb.Feb 11 2018, 5:08 PM

One thing to watch before claiming that "this extension provides no functionality whatsoever that isn't already covered by Wikidata's other project links": there is a Wikidata limitation which requires a 1:1 correspondence between Wikivoyage articles and the corresponding sibling project pages. Any attempt to link to the same page from more than one Wikidata record will throw an error. That's an issue if Wikivoyage divides entities (such as cities) differently from Wikipedia - which happens because Wikivoyage wants divisions which produce reasonably-sized articles while Wikipedia aligns onto incorporated municipality boundaries.

Wikivoyage had three extensions which put page-specific links into the sidebar for various purposes, [[mw:extension:RelatedArticles]], [[mw:extension:RelatedSites]] and [[mw:extension;Insider]]. Perhaps these three should've been combined to build one more flexible extension that'd allow a tag with three parameters (section in sidebar to place the local or interwiki link, link text, link target) as I don't expect we will ever be completely rid of the need to add a link to the sidebar. Wikidata "in other projects" removes the need for many of the "related sites" links, but not all of them.

It's not worth maintaining an entire extension (which takes developer time away from other projects) just to support an uncommon edge case.

Is there any way to estimate how common this case is or do we know outright?

Carlb added a comment.Feb 12 2018, 2:05 PM

From https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#We_need_to_remove_all_the_RelatedSites_links :

"I would say about 25% of Wikipedia sidebar references do not match the Wikidata name. Of those most, maybe 90% but that is what is difficult to check, are just a different because of a move/redirect. The rest are reference to close but not exact articles on Wikipedia. I am splitting those that are difference to the wikidata name but differentiating within that group I have not found a way yet. --Traveler100 (talk) 06:50, 23 January 2018 (UTC) "

and the four maintenance categories have about 2813 affected pages:

  • Category:Articles with Wikipedia links and none on Wikidata (425 pages)
  • Category:Articles with Wikipedia links different to Wikidata (2,173 pages)
  • Category:Articles with Commons page links different to Wikidata (63 pages)
  • Category:Articles with Commons category links different to Wikidata (152 pages)

These numbers have not changed since the original posts were made.

CommTech are the recommended stewards for this. I'm working with CommTech to see if they are willing to take on stewardship.

TBolliger moved this task from Untriaged to Tracking work by others on the Community-Tech board.
TBolliger added a subscriber: TBolliger.

Sunsetting planning is in progress. All related discussions/activity will be tracked in T128326 going forward.

I've found that these wikis on this spreadsheet are still using Related Sites.

The big ones are:

  • nl 1523
  • pt 1007
  • es 675
  • el 197
  • ro 132
  • every other wiki has <100

Thanks Trevor! That's super useful!

Max generated newer numbers on T128326#4303848 but I am skeptical. I've put them on this spreadsheet but I wouldn't trust them yet.

Wargo added a subscriber: Wargo.Jul 13 2018, 10:36 AM

RelatedSites is used at the German Wikivoyage because the user namespace is not supported by Wikidata. We need a set of interwiki-links like [[commons:...]] for sister projects similar to interlanguage links [[en:...]]

The extension was not meant for linking to user pages. The better way to handle user namespace links is by having Userboxes or by adding the links on the User page instead of the sidebar.

When I personally wrote the extension in 2007, and it was of course intended to link the user pages. If we remove RelatedSites then we have no substitute. If it would be allowed to add user pages to Wikidata we would not have any problems. But as I already told the interwiki sidebar links are missing which could be a substitute. At the German Wikivoyage we do not use userboxes in that extend as it was used in Wikipedias, and we do not use it for interwiki links -- it is unnecessary work for admins. And why we should use userboxes if we have "in other projects" on the sidebar?
We should add interwiki support to Wikidata's "other projects" first.
By the way we lost a lot of authors because the foundation didn't keep all promises done before the start of Wikivoyage. And the foundation accepted that RelatedSites is an important extension to keep.

Hi all. It seems like a few wikivoyages, including German uses RelatedSites for linking to user pages between sites. While on English wikipedia, user boxes are used as a solution, there isn't any equivalent to that on wikivoyage. Do you have ideas on what's a good way to handle interwiki user links?

Wikivoyage community has serious concerns about this proposal
https://meta.wikimedia.org/wiki/Talk:Community_Tech/Deprecation_of_RelatedSites_extension
but in the last 5 days we have not got any response from the developers. So I would say that this should be put on hold until someone has time to analyze the situation and talk to the community.

@Atsirlin: Please refer to T128326 which is about undeploying that extension. This ticket T185206 is about maintainership/stewardship instead. Thanks a lot!

@Aklapper: my (stupid) mistake... Thank you for directing me to the right thread!

MaxSem closed this task as Resolved.Nov 6 2018, 2:08 AM
MaxSem claimed this task.
MaxSem added a subscriber: MaxSem.

Undeployed.

Nice work all!

Thanks! @Jrbranaa: Process question: Where would be the place to document removing {{onWikimedia}} from https://www.mediawiki.org/wiki/Extension:Foo and to remove a line on https://www.mediawiki.org/wiki/Developers/Maintainers , and who would be supposed to do so? Any idea?

Outstanding work, y'all.

@Aklapper, I was thinking that simply removing it from Developers/Maintainers would suffice from a documentation perspective. As maintenance of Developers/Maintainers page is currently manual and this removal comes as a result of the code stewardship review process, I'll make the edit(if it's not already been removed).

Do you think additional documentation is in order? It looks like the https://www.mediawiki.org/wiki/Extension:Foo has already been updated. On that note, it would seem like moving forward we may want to remove references to being installed in production on these Extension pages as it makes for another area to maintain that status. We can tackle this as part of the RoO work (T190891).